TimeUUIDType (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.marshal

## Class TimeUUIDType

- java.lang.Object
- - org.apache.cassandra.db.marshal.AbstractType<java.util.UUID>
  - - org.apache.cassandra.db.marshal.TimeUUIDType

- All Implemented Interfaces:
    java.util.Comparator<java.nio.ByteBuffer>, AssignmentTestable

      public class TimeUUIDType
      extends AbstractType<java.util.UUID>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.marshal.AbstractType

      `AbstractType.ComparisonType`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TimeUUIDType` | `instance`

    - ### Fields inherited from class org.apache.cassandra.db.marshal.AbstractType

      `comparisonType, isByteOrderComparable, reverseComparator`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CQL3Type` | `asCQL3Type()`
    `int` | `compareCustom(java.nio.ByteBuffer b1, java.nio.ByteBuffer b2)` Implement IFF ComparisonType is CUSTOM Compares the ByteBuffer representation of two instances of this class, for types where this cannot be done by simple in-order comparison of the unsigned bytes Standard Java compare semantics
    `Term` | `fromJSONObject(java.lang.Object parsed)` Given a parsed JSON string, return a byte representation of the object.
    `java.nio.ByteBuffer` | `fromString(java.lang.String source)` get a byte representation of the given string.
    `TypeSerializer<java.util.UUID>` | `getSerializer()`
    `boolean` | `isEmptyValueMeaningless()` Returns `true` for types where empty should be handled like `null` like `Int32Type`.
    `protected static long` | `reorderTimestampBytes(long input)`
    `protected int` | `valueLengthIfFixed()` The length of values for this type if all values are of fixed length, -1 otherwise.

    - ### Methods inherited from class org.apache.cassandra.db.marshal.AbstractType

      `asCQLTypeStringList, checkComparable, compare, compareCollectionMembers, compareForCQL, componentsCount, compose, decompose, equals, freeze, freezeNestedMulticellTypes, getComponents, getString, getString, isCollection, isCompatibleWith, isCounter, isFreezable, isFrozenCollection, isMultiCell, isReversed, isTuple, isUDT, isValueCompatibleWith, isValueCompatibleWithInternal, parseDefaultParameters, readValue, readValue, referencesDuration, referencesUserType, skipValue, testAssignment, toJSONString, toString, toString, validate, validateCellValue, validateCollectionMember, writeValue, writtenLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Field Detail

    - #### instance

          public static final TimeUUIDType instance

  - ### Method Detail

    - #### isEmptyValueMeaningless

          public boolean isEmptyValueMeaningless()

      Description copied from class: `AbstractType`
      Returns `true` for types where empty should be handled like `null` like `Int32Type`.
      Overrides:
        `isEmptyValueMeaningless` in class `AbstractType<java.util.UUID>`

    - #### compareCustom

          public int compareCustom(java.nio.ByteBuffer b1,
                                   java.nio.ByteBuffer b2)

      Description copied from class: `AbstractType`
      Implement IFF ComparisonType is CUSTOM Compares the ByteBuffer representation of two instances of this class, for types where this cannot be done by simple in-order comparison of the unsigned bytes Standard Java compare semantics
      Overrides:
        `compareCustom` in class `AbstractType<java.util.UUID>`

    - #### reorderTimestampBytes

          protected static long reorderTimestampBytes(long input)

    - #### fromString

          public java.nio.ByteBuffer fromString(java.lang.String source)
                                         throws MarshalException

      Description copied from class: `AbstractType`
      get a byte representation of the given string.
      Specified by:
        `fromString` in class `AbstractType<java.util.UUID>`
      Throws:
        `MarshalException`

    - #### fromJSONObject

          public Term fromJSONObject(java.lang.Object parsed)
                              throws MarshalException

      Description copied from class: `AbstractType`
      Given a parsed JSON string, return a byte representation of the object.
      Specified by:
        `fromJSONObject` in class `AbstractType<java.util.UUID>`
      Parameters:
        `parsed` - the result of parsing a json string
      Throws:
        `MarshalException`

    - #### asCQL3Type

          public CQL3Type asCQL3Type()

      Overrides:
        `asCQL3Type` in class `AbstractType<java.util.UUID>`

    - #### getSerializer

          public TypeSerializer<java.util.UUID> getSerializer()

      Specified by:
        `getSerializer` in class `AbstractType<java.util.UUID>`

    - #### valueLengthIfFixed

          protected int valueLengthIfFixed()

      Description copied from class: `AbstractType`
      The length of values for this type if all values are of fixed length, -1 otherwise.
      Overrides:
        `valueLengthIfFixed` in class `AbstractType<java.util.UUID>`

Copyright © 2018 The Apache Software Foundation